Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.labels
Class EditLabelsAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.BuildActionSupport
                  com.atlassian.bamboo.ww2.actions.labels.EditLabelsAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, BuildResultsAware, ReturnUrlAware

    public class EditLabelsAction

extends BuildActionSupport
implements BuildResultsAware

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`EditLabelsAction()`

Method Summary
`String` | `doAddLabels()`
`String` | `doDeleteLabel()`
`String` | `doViewLabels()`
`String` | `getBuildNumber()`
`BuildResults` | `getBuildResults()`
`BuildResultsSummary` | `getBuildResultsSummary()`
`String` | `getLabelDisplay()`
`String` | `getLabelInput()`
`List` | `getLabels()`
`String` | `getSelectedLabel()`
`void` | `setBuildNumber(String buildNumber)`
`void` | `setBuildResults(BuildResults buildResults)`
`void` | `setBuildResultsSummary(BuildResultsSummary buildResultsSummary)`
`void` | `setLabelDisplay(String labelDisplay)`
`void` | `setLabelInput(String labelInput)`
`void` | `setLabelManager(LabelManager labelManager)`
`void` | `setLabels(List labels)`
`void` | `setSelectedLabel(String selectedLabel)`

Methods inherited from class com.atlassian.bamboo.ww2.actions.BuildActionSupport
`getBuild, getBuildKey, getCurrentlyRunningBuild, getPluginManager, getPluginMenuItems, setBuild, setBuildKey, setPluginManager`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### EditLabelsAction

    public EditLabelsAction()

Method Detail

### doViewLabels

    public String doViewLabels()
                        throws Exception

  Throws:
    `Exception`

### doAddLabels

    public String doAddLabels()
                       throws Exception

  Throws:
    `Exception`

### doDeleteLabel

    public String doDeleteLabel()
                         throws Exception

  Throws:
    `Exception`

### getLabelInput

    public String getLabelInput()

### setLabelInput

    public void setLabelInput(String labelInput)

### getLabels

    public List getLabels()

### setLabels

    public void setLabels(List labels)

### getLabelDisplay

    public String getLabelDisplay()

### setLabelDisplay

    public void setLabelDisplay(String labelDisplay)

### getBuildNumber

    public String getBuildNumber()

### setBuildNumber

    public void setBuildNumber(String buildNumber)

### getBuildResults

    public BuildResults getBuildResults()

  Specified by:
    `getBuildResults` in interface `BuildResultsAware`

### setBuildResults

    public void setBuildResults(BuildResults buildResults)

  Specified by:
    `setBuildResults` in interface `BuildResultsAware`

### getBuildResultsSummary

    public BuildResultsSummary getBuildResultsSummary()

### setBuildResultsSummary

    public void setBuildResultsSummary(BuildResultsSummary buildResultsSummary)

### getSelectedLabel

    public String getSelectedLabel()

### setSelectedLabel

    public void setSelectedLabel(String selectedLabel)

### setLabelManager

    public void setLabelManager(LabelManager labelManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.